/* Extends */

// Clearfix

%clearfix {
	zoom:1;
	
	&:before,
	&:after {
		content: "\0020";
		display: block;
		width: 100%;
		height: 0;
		overflow: hidden;
	}
	
	&:after {
		clear: both;
	}
}

// Hide the content text of a element (Like icon replacement of a menu item)

%hide-text {
	font: 0/0 a;
	text-shadow: none;
	color: transparent;
	overflow: hidden;
	
	a {
		display: block;
		width: 100%;
		height: 100%;
	}
}

// Center element

%center {
	margin: {
		left: auto;
		right: auto;
	}
}

// Border, and shadow

%bs {
	border: 1px solid $border;
	@include box-shadow(0 0 5px 0 black(0.05));
}
